 * {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Plus Jakarta Sans', sans-serif;
  transition: all 0.3s ease;
}

.desktop {
  display: none;
}
.mobile {
  display: block;
}
#container {
width: 100vw;
height: 100vh;

display: flex;
justify-content: center;
align-items: flex-end;
}


.heading {
width: 100%;
height: 10vh;

display: flex;
justify-content: space-around;
align-items: center;
position: absolute;
top: 8%;
font-family: 'Plus Jakarta Sans', sans-serif;
font-size: small;
}

.heading > img {
width: 39px;
height: 37px;
}


.nav-container1 {
width: 237px;
height: 98px;
position: absolute;
top: 20%;
display: grid;
place-items: center;
font-family: 'Plus Jakarta Sans', sans-serif;
z-index: 999;
}



.nav-container2 {
width: 220px;
height: 98px;
position: absolute;
left: 0;
top: 15%;
margin-left: 5px;
}

.nav{
width: 100%;
height: 90px;
display: flex;
flex-direction: row;
align-items: center;
justify-content: space-between;
z-index: 999;

}

.nav > div > a{
display: flex;
justify-content: space-between;
align-items: center;
color: black;
text-decoration: none;
}

main {
width: 100%;
height: 70%;
background-color: white;
z-index: 1;
display: flex;
flex-direction: column;
align-items: center;
gap: 2.5em;
}




.portfolio-nav {
  width: 100%;
  margin-top: 2em;
  display: flex;
  justify-content: space-around;
}

.portfolio-nav > * {
  cursor: pointer;
  color: gray;
}

.portfolio-nav > *:hover {
  color: black;
}

.active {
  color: black;
  pointer-events:none;
}

#portfolio-container {
  width: unset;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 1em;
}

.post {
  object-fit: contain;
  display: grid;
  place-items: center;
}

.post > img {
  width: 60vw;
}

a {
  text-decoration: none;
  color: black;
}


@media only screen and (min-width: 913px) {
 .mobile {
    display: none;
  } 
  .desktop {
    display: block;
  }
  



#container {
  width: unset;
  height: unset;
  display: grid;
  place-items: center;
  gap: 3em;
}

.first {
  width: 90vw;
  height: 159.27px;
  display: flex;
  justify-content: space-between;
}

.heading {
  width: 68%;
  height: 22vh;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: absolute;
  top: 8%;
  left: 5%;
  font-family: 'Plus Jakarta Sans', sans-serif;
  font-size: xx-large;
}




.heading > img {
  width: 100px;
  height: 105px;
}




.nav-container1 {
  width: 239px;
  height: 261px;
  position: absolute;
  top: 5%;
  right: 5%;
  display: grid;
  place-items: center;
  font-family: 'Plus Jakarta Sans', sans-serif;
  z-index: 999;
}

.nav-container2 {
  width: 215px;
  height: 192px;
  position: absolute;
  inset: unset;
  margin: unset;
}
.nav {
  width: 192px;
  height: 200px;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: space-evenly;
  z-index: 999;
}


.nav > div > a{
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: black;
  text-decoration: none;
}

main {
  width: 90vw;
  height: unset;
  background-color: white;
  border-radius: 100px 100px 0 0;
  display: unset;
}


.portfolio-nav {
  width: 50%;
  padding: 1em 0 1em 2em;
  margin-bottom: 2em;
  display: flex;
  justify-content: space-around;
}

.portfolio-nav > * {
  cursor: pointer;
  color: gray;
}

.portfolio-nav > *:hover {
  color: black;
}

.active {
  color: black;
  pointer-events:none;
}


#portfolio-container {
  width: unset;
  display: flex;
  flex-direction: unset;
  flex-wrap: wrap;
  justify-content: flex-start;
  padding: 3em;
  gap: 1em;
}

#portfolio-container:has(.post:nth-last-child(n + 2)) {
  justify-content: space-around;
}

.post {
  object-fit: contain;
  display: unset;
}

.post > img {
  width: 300px;
}
}  


